cocoon-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Konstantin Piroumian" <kpiroum...@apache.org>
Subject Re: i18n not working
Date Tue, 03 Jun 2003 13:05:42 GMT
From: "Mato Mira, Fernando" <Fernando.Matomira@dialog.com>
> > From: Mato Mira, Fernando [mailto:Fernando.Matomira@dialog.com]
> >
> >   I am placing the i18n transformer just before serialization
> > and it's not
> > working. The namespace
> > is declared in the i18n:translate element itself.
> >
> > Cocoon version: 2.1m2
>
> The transformer does not accept the 2.0 namespace. It has to be the 2.1
> for it to work. I guess this is a bug.
>

Ah, I see.

If you read the warning message carefully, then you'll see that it's not a
bug, but a feature. If you are using i18n transformer from Cocoon 2.1 or
higher then you should update your stylesheets also, because the syntax was
slightly changed and that's why a new namespace used.

I don't think that it was a good decision to drop support for the old
syntax, but otherwise you wouldn't know about the changes in syntax and I
had no enough time to maintain that. Also, I think that it's quite easy to
implement an XSLT stylesheet to make automatic conversion of your pages. Any
help with it is apreciated.

-- Konstantin



---------------------------------------------------------------------
To unsubscribe, e-mail: cocoon-users-unsubscribe@xml.apache.org
For additional commands, e-mail: cocoon-users-help@xml.apache.org


Mime
View raw message